Description

As a capsule user

I want to be able to use API/CLI to add environments to the capsule

and synchronize the capsule.

Associated revisions

Revision ac09bc2f - 05/20/2014 01:57 PM - Ivan Necas

Fixes #5821 - Capsule Content API/Backend

Revision bf833e66 - 05/20/2014 01:57 PM - Ivan Necas

Fixes #5821 - Remove the fort engine

The code now uses mainly the Foreman's proxy logic + additional

support in Katello itself: not need to maintain separate engine just

for the node syncing

Revision 2a661c26 - 05/20/2014 02:14 PM - Ivan Necas

Refs #5821 - initial CLI support for the capsule commands

Revision 023bec7a - 05/21/2014 11:39 AM - Ivan Necas

Fixes #5821 - address PR review issues

Revision 5d7f8ce7 - 05/21/2014 11:40 AM - Ivan Necas

Refs #5821 - address PR issues

Revision 46626af7 - 05/22/2014 08:17 AM - Ivan Necas

Fixes #5821 - add tests for capsule related features

Revision aa9339cb - 05/22/2014 09:39 AM - Ivan Necas

Fixes #5821 - fix binding repository to the node

Revision fe6cd6f9 - 05/22/2014 12:05 PM - Ivan Necas

Fixes #5821 - add capsule content authorization

Revision 27f3015f - 05/22/2014 03:27 PM - Ivan Necas

Fixes #5821 - add capsule content authorization tests

Revision c87e664c - 05/22/2014 09:35 PM - Justin Sherrill

Fixes #5821 - better graceful handling of node binding/unbinding

Revision 3f6ce1f1 - 05/23/2014 01:47 AM - Justin Sherrill
Merge pull request #4144 from jlsherrill/iNecas-capsule-api

Fixes #5821 - add capsule support to API/CLI

Revision 4ad7a3b2 - 05/23/2014 01:48 AM - Justin Sherrill 

Merge pull request #173 from iNecas/capsule

Refs #5821 - initial CLI support for the capsule commands

History

#1 - 05/20/2014 01:53 PM - Ivan Necas

By now, the capsule is considered to be the same a proxy, therefore

I've build the capsules entry point, that uses the smart proxy

on backend, but uses the capsule wording for convenience.

I've added the following API

GET /api/capsules - list the capsules

GET /api/capsules/:id - hos the capsule details

GET /api/capsules/:id/content/lifecycle_environments - environments attached to the capsule for syncing content

POST /api/capsules/:id/content/lifecycle_environments - attach lifecycle environment to the capsule (hamm

DELETE /api/capsules/:id/content/lifecycle_environments/:environment_id - remove lifecycle environment from the capsule

POST /api/capsules/:id/content/sync - synchronize the capsule (optionally, one can limit the synchronization to one environemnt with environment_id)

The corresponding hammer commands are:

hammer capsule list

hammer capsule info --id 1

hammer capsule content lifecycle-environments --id 1

hammer capsule content add-lifecycle-environment --id 1 --environment-id 1

hammer capsule content remove-lifecycle-environment --id 1 --environment-id 1

hammer capsule content synchronize --id 1

hammer capsule content synchronize --id 1 --environment-id 1

#2 - 05/20/2014 02:23 PM - Ivan Necas

Relevant PRs:

https://github.com/Katello/katello/pull/4118

https://github.com/Katello/hammer-cli-katello/pull/173

https://github.com/Katello/puppet-certs/pull/14

https://github.com/Katello/puppet-capsule/pull/5

#3 - 05/20/2014 02:28 PM - Ivan Necas

- Status changed from New to Assigned

- Assignee set to Ivan Necas

#4 - 05/23/2014 01:52 AM - Ivan Necas

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ac09bc2f93e187893f11b8d10c13aef5f938c6b4.

#5 - 08/22/2014 08:26 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://github.com/Katello/katello/pull/4118
https://github.com/Katello/hammer-cli-katello/pull/173
https://github.com/Katello/puppet-certs/pull/14
https://github.com/Katello/puppet-capsule/pull/5
http://www.tcpdf.org

